org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class Bulkhead10MethodAsynchronousBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead10MethodAsynchronousBean

    @ApplicationScoped
    public class Bulkhead10MethodAsynchronousBean
    extends Object

A simple method level Asynchronous @Bulkhead(10)

Author:
  Gordon Hutchison, Andrew Rouse

### Constructor Summary

Constructors
Constructor and Description
`Bulkhead10MethodAsynchronousBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<?>` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bulkhead10MethodAsynchronousBean

    public Bulkhead10MethodAsynchronousBean()

### Method Detail

#### test

    @Bulkhead(value=10)
     @Asynchronous
    public Future<?> test(Barrier barrier)